<?php
// app/api/login/logout
    header("Content-Type:application/json");
    include("../../../settings/dbconn.php");
    include("../../../settings/utils.php");

    // parametros obligatorios
    $parmsob = array("sessionid");
    if (!parametrosValidos($_GET, $parmsob)){
        badEnd("400", array("msg"=>"Parametros obligatorios " . implode(",", $parmsob)));
    }
    
    //definimos las variables y las rellenamos con los datos recibidos del GET
    $sessionid = $_GET["sessionid"];
    $out = new stdClass();
    
    //Obtenemos el lenguaje
    $lang = updateLang($db,$sessionid);
    
    // actualizamos la base de datos blanqueando la session id y estableciendo el validthru null
    $sql =  "UPDATE users " .
            "SET    sessionid = NULL, ".
            "       validthru = NULL, ".
            "       lastsession =  NOW(), ".
            "       sessionexpires = NULL ".
            "       WHERE  sessionid='".mysqli_real_escape_string($db, $sessionid)."'";
    //ejecutamos el sql        
    if (!$db->query($sql)){
        badEnd("500", array("msg"=>determinateDBError($db)));
    }
    
    //revisamos la respuesta del query y verificamos si fue ejecutada correctamente 
    if ($db->affected_rows == 0){
        badEnd("401",array("msg"=>determinateMsgFail(array(
            "esp"=>"sessionid incorrecta",
            "eng"=>"invalid sessionid"), $lang, "sessionid incorrecta")));
    }

    $out->id = $sessionid;
    
    header("HTTP/1.1 200");
    echo (json_encode($out));
    die();
?>
